k_random_uniform_variable {keras} | R Documentation

## Instantiates a variable with values drawn from a uniform distribution.

### Description

Instantiates a variable with values drawn from a uniform distribution.

### Usage

    k_random_uniform_variable(shape, low, high, dtype = NULL, name = NULL,
      seed = NULL)

### Arguments

`shape` | Tuple of integers, shape of returned Keras variable.
`low` | Float, lower boundary of the output interval.
`high` | Float, upper boundary of the output interval.
`dtype` | String, dtype of returned Keras variable.
`name` | String, name of returned Keras variable.
`seed` | Integer, random seed.

### Value

A Keras variable, filled with drawn samples.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]